Bug 1309267 - python-taskflow: Provide a Python 3 subpackage
Summary: python-taskflow: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-taskflow
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alan Pevec (Fedora)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-02-17 10:48 UTC by Petr Viktorin
Modified: 2016-07-31 22:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-31 22:20:24 UTC
Type: Bug


Attachments (Terms of Use)
0001-move-to-python3.patch (4.30 KB, patch)
2016-07-15 20:39 UTC, dima
no flags Details | Diff
add python3 and python2 subpackages and required deps for docs generation (5.31 KB, patch)
2016-07-31 17:40 UTC, dima
no flags Details | Diff

Description Petr Viktorin 2016-02-17 10:48:48 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Jan Kurik 2016-02-24 15:24:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 dima 2016-07-15 20:39:31 UTC
Created attachment 1180279 [details]
0001-move-to-python3.patch

hello
it is patch for use python3 for fedora os

Comment 3 dima 2016-07-16 12:02:22 UTC
PY3PATCH-AVAILABLE

Comment 4 Lumír Balhar 2016-07-28 08:03:16 UTC
Hello.

Thank you for your patch. I am reviewing it and it looks like you want to build it for Python2 *or* Python3 but better is to build ported packages for both version of Python (in separated subpackages).

Also, your patch needs to be rebased and there are missing changelog entry for your changes.

Please look at this guideline which can lead you step by step in porting Python RPM: http://python-rpm-porting.readthedocs.io/en/latest/index.html

If I can help you with something do not hesitate to contact me.

Have a nice day.

Comment 5 dima 2016-07-28 08:06:25 UTC
thanks for feedback
today evening i will update it.

Comment 6 dima 2016-07-31 17:40:33 UTC
Created attachment 1186157 [details]
add python3 and python2 subpackages and required deps for docs generation

add python3 and python2 subpackages and required deps for docs generation

Comment 7 Haïkel Guémar 2016-07-31 22:20:24 UTC
Fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.